com.lowagie.text.pdf

## Class PdfSmartCopy.ByteStore

- java.lang.Object
- - com.lowagie.text.pdf.PdfSmartCopy.ByteStore

- Enclosing class:
    PdfSmartCopy

      static class PdfSmartCopy.ByteStore
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `b`
    `private int` | `hash`
    `private java.security.MessageDigest` | `md5`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfSmartCopy.ByteStore(PRStream str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `private void` | `serArray(PdfArray array, int level, ByteBuffer bb)`
    `private void` | `serDic(PdfDictionary dic, int level, ByteBuffer bb)`
    `private void` | `serObject(PdfObject obj, int level, ByteBuffer bb)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### b

          private byte[] b

    - #### hash

          private int hash

    - #### md5

          private java.security.MessageDigest md5

  - ### Constructor Detail

    - #### PdfSmartCopy.ByteStore

          PdfSmartCopy.ByteStore(PRStream str)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### serObject

          private void serObject(PdfObject obj,
                       int level,
                       ByteBuffer bb)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serDic

          private void serDic(PdfDictionary dic,
                    int level,
                    ByteBuffer bb)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serArray

          private void serArray(PdfArray array,
                      int level,
                      ByteBuffer bb)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`